package com.yizhi.message.application.controller.manage;


import com.yizhi.message.application.service.MessageParameterService;
import com.yizhi.message.application.vo.MessageParameterVo;
import com.yizhi.util.application.domain.Response;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@RestController
@Api(tags = "消息可选参数接口")
@RequestMapping("/manage/messageParameter")
public class MessageParameterComtroller {
    @Autowired
    private MessageParameterService messageParameterService;

    /**
     * @param messageType  消息类型：比如： 1、自定义消息 2、系统消息 3、事件触发消息
     * @param relationType 应用场景（关联模块类型）(0：通用、1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播 、10积分)
     * @return
     */
    @GetMapping("/getList")
    @ApiOperation(value = "获取可选参数列表", response = MessageParameterVo.class)
    public Response<List<MessageParameterVo>> getList(@RequestParam("messageType") Integer messageType,
                                                      @RequestParam("relationType") Integer relationType) {
        return Response.ok(messageParameterService.getList(messageType, relationType));
    }

}

